当前位置:  首页  >  PHP资讯  >  业界资讯

Tomcat启动时报错:java.lang.UnsatisfiedLinkError的解决

这篇文章主要跟大家介绍了在Tomcat启动时报错:java.lang.UnsatisfiedLinkError的解决方法,虽然这个错误不影响项目的启动运行,但是有强迫症的程序员会心里不爽,下面来一起看看解决的方法吧。

问题

之前tomcat启动老是报错,虽然不影响项目的启动运行,但是有强迫症的程序员会心里不爽:

如下:

问题分析

由于本机安装的jdk版本与tomcat中使用的jdk版本不一致导致的。

解决方法

后面我把原先tomcat启动环境用的jdk1.7改为了本机安装的jdk1.8就不在报错。

具体过程:

在myeclipse中点击window→preference→在搜索框中输入Tomcat→选择安装的tomcat版本,我这里是选择Tomcat 7.x→点击JDK→在Tomcat 7.x JDK name:下拉选项中选择在本机中安装的jdk版本→点击OK然后再次启动tomcat就不会报错了。

总结

以上就是这篇文章的全部内容了,希望本文的内容对大家的学习或者工作能带来一定的帮助,如果有疑问大家可以留言交流,谢谢大家对的支持。

内容推荐:免费高清PNG素材下载
吐了个 "CAO" !
扫码关注 PHP1 官方微信号
PHP1.CN | 中国最专业的PHP中文社区 | PNG素材下载 | DevBox开发工具箱 | json解析格式化 |PHP资讯 | PHP教程 | 数据库技术 | 服务器技术 | 前端开发技术 | PHP框架 | 开发工具 | 在线工具
Copyright © 1998 - 2020 PHP1.CN. All Rights Reserved PHP1.CN 第一PHP社区 版权所有 京ICP备19059560号-4